Package org.opensaml.soap.wsaddressing.impl

# Class ReplyToMarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectMarshaller
org.opensaml.soap.wsaddressing.impl.AbstractWSAddressingObjectMarshaller
org.opensaml.soap.wsaddressing.impl.EndpointReferenceTypeMarshaller
org.opensaml.soap.wsaddressing.impl.ReplyToMarshaller

All Implemented Interfaces:
  `Marshaller`

public class ReplyToMarshaller extends EndpointReferenceTypeMarshaller
Marshaller for the <wsa:ReplyTo> element.

## Constructor Summary

Constructors
Constructor
Description
`ReplyToMarshaller()`

## Method Summary

### Methods inherited from class org.opensaml.soap.wsaddressing.impl.EndpointReferenceTypeMarshaller

`marshallAttributes`

### Methods inherited from class org.opensaml.soap.wsaddressing.impl.AbstractWSAddressingObjectMarshaller

`marshallElementContent`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectMarshaller

`marshall, marshall, marshall, marshallAttributeIDness, marshallChildElements, marshallInto, marshallNamespacePrefix, marshallNamespaces, marshallSchemaInstanceAttributes, marshallUnknownAttributes, setDocumentElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReplyToMarshaller

public ReplyToMarshaller()